/**
 * 友盟埋点统计
 * @param {string} eventName - 事件名称
 * @param {string} eventType - 事件类型，如 'CLK'(点击), 'EXP'(曝光) 等
 * @param {Object} params - 事件参数
 */
export const trackEvent = (eventName, eventType = 'CLK', params = {}) => {
    // 确保 aplus_queue 存在
    if (typeof window !== 'undefined' && window.aplus_queue) {
        console.log("友盟埋点统计");
        console.log(eventName,eventType,params);
        window.aplus_queue.push({
            action: 'aplus.record',
            arguments: [eventName, eventType, params]
        });
    } else {
        console.error('aplus_queue is not available');
    }
};